bitel.billing.server.admin.resource.bean

## Class NumberResourceManager

- java.lang.Object
- - bitel.billing.server.admin.resource.bean.ResourceManager<NumberResource>
  - - bitel.billing.server.admin.resource.bean.NumberResourceManager

-     public class NumberResourceManager
      extends ResourceManager<NumberResource>

- - ### Field Summary

    - ### Fields inherited from class bitel.billing.server.admin.resource.bean.ResourceManager

      `con, mid, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberResourceManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `checkResource(java.lang.String number, java.sql.Date dateFrom, java.sql.Date dateTo)`
    `void` | `closeResources(java.lang.String numbers, java.util.Calendar date)`
    `java.util.List<NumberResource>` | `getBusyNumberList(int categoryId, java.util.Calendar date, java.lang.String numberFrom, java.lang.String numberTo, boolean reserved)` Возвращает список занятых номеров для выбранной категории, даты и диапазона номеров.
    `java.util.List<NumberResource>` | `getFreeNumberList(int categoryId, java.util.Calendar date, java.lang.String numberFrom, java.lang.String numberTo, boolean reserved)` Возвращает список свободных номеров для выбранной категории, даты и диапазона номеров.
    `java.util.List<NumberResource>` | `getLastUseNumberList(int categoryId, java.util.Calendar date, java.lang.String numberFrom, java.lang.String numberTo, java.util.Calendar ldate)` Возвращает список свободных с определенной даты номеров для выбранной категории и диапазона номеров.
    `java.util.Map<java.lang.String,java.util.List<NumberResource>>` | `getNumberResourceMap()`
    `java.util.List<NumberResource>` | `getReservedNumberList(int categoryId, java.util.Calendar date, java.lang.String numberFrom, java.lang.String numberTo)` Возвращает список зарезервированных на даную дату номеров для выбранной категории и диапазона номеров.
    `protected NumberResource` | `getResourceFromRs(java.sql.ResultSet rs)`
    `protected NumberResource` | `getResourceFromRsWithContract(java.sql.ResultSet rs)`
    `java.util.List<NumberResource>` | `getResourceList(int categoryId, java.lang.String fromNumber, java.lang.String toNumber)` Возвращает список номеров из диапазона номеров для выбранной категории
    `java.util.List<NumberResource>` | `getResourceList(java.lang.String number)`
    `java.util.List<NumberResource>` | `getResourceListByIds(java.lang.String ids)`
    `protected java.lang.String` | `getTableName()`
    `void` | `syncResourceUse()`
    `void` | `updateResource(NumberResource res)`
    `void` | `updateResourcePeriod(java.lang.String ids, java.util.Calendar date1, java.util.Calendar date2)`

    - ### Methods inherited from class bitel.billing.server.admin.resource.bean.ResourceManager

      `changeResourceCategory, deleteResource, getResourceCount, loadStandartResourceFromRs, newResourceManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberResourceManager

          public NumberResourceManager(java.sql.Connection con,
                                       int mid)

  - ### Method Detail

    - #### getTableName

          protected java.lang.String getTableName()

      Specified by:
        `getTableName` in class `ResourceManager<NumberResource>`

    - #### getResourceFromRs

          protected NumberResource getResourceFromRs(java.sql.ResultSet rs)

      Specified by:
        `getResourceFromRs` in class `ResourceManager<NumberResource>`

    - #### getResourceFromRsWithContract

          protected NumberResource getResourceFromRsWithContract(java.sql.ResultSet rs)

    - #### updateResource

          public void updateResource(NumberResource res)

      Specified by:
        `updateResource` in class `ResourceManager<NumberResource>`

    - #### getResourceList

          public java.util.List<NumberResource> getResourceList(java.lang.String number)

    - #### getResourceListByIds

          public java.util.List<NumberResource> getResourceListByIds(java.lang.String ids)

    - #### updateResourcePeriod

          public void updateResourcePeriod(java.lang.String ids,
                                           java.util.Calendar date1,
                                           java.util.Calendar date2)

    - #### getNumberResourceMap

          public java.util.Map<java.lang.String,java.util.List<NumberResource>> getNumberResourceMap()

    - #### closeResources

          public void closeResources(java.lang.String numbers,
                                     java.util.Calendar date)

    - #### getResourceList

          public java.util.List<NumberResource> getResourceList(int categoryId,
                                                                java.lang.String fromNumber,
                                                                java.lang.String toNumber)

      Возвращает список номеров из диапазона номеров для выбранной категории
      Parameters:
        `categoryId` - код категории
        `fromNumber` - начало диапазона номеров
        `toNumber` - окончание диапазона номеров
      Returns:
        список номеров

    - #### getFreeNumberList

          public java.util.List<NumberResource> getFreeNumberList(int categoryId,
                                                                  java.util.Calendar date,
                                                                  java.lang.String numberFrom,
                                                                  java.lang.String numberTo,
                                                                  boolean reserved)

      Возвращает список свободных номеров для выбранной категории, даты и диапазона номеров.
      Parameters:
        `categoryId` - код категории
        `date` - дата, на которую свободен номер
        `numberFrom` - начало диапазона номеров
        `numberTo` - окончание диапазона номеров
      Returns:
        список свободных номеров

    - #### getBusyNumberList

          public java.util.List<NumberResource> getBusyNumberList(int categoryId,
                                                                  java.util.Calendar date,
                                                                  java.lang.String numberFrom,
                                                                  java.lang.String numberTo,
                                                                  boolean reserved)

      Возвращает список занятых номеров для выбранной категории, даты и диапазона номеров.
      Parameters:
        `categoryId` - код категории
        `date` - дата, на которую свободен номер
        `numberFrom` - начало диапазона номеров
        `numberTo` - окончание диапазона номеров
      Returns:
        список занятых номеров

    - #### getLastUseNumberList

          public java.util.List<NumberResource> getLastUseNumberList(int categoryId,
                                                                     java.util.Calendar date,
                                                                     java.lang.String numberFrom,
                                                                     java.lang.String numberTo,
                                                                     java.util.Calendar ldate)

      Возвращает список свободных с определенной даты номеров для выбранной категории и диапазона номеров.
      Parameters:
        `categoryId` - код категории
        `date` - дата, на которую номер активен
        `numberFrom` - начало диапазона номеров
        `numberTo` - окончание диапазона номеров
        `ldate` - дата последнего использования ресурса
      Returns:
        список номеров

    - #### getReservedNumberList

          public java.util.List<NumberResource> getReservedNumberList(int categoryId,
                                                                      java.util.Calendar date,
                                                                      java.lang.String numberFrom,
                                                                      java.lang.String numberTo)

      Возвращает список зарезервированных на даную дату номеров для выбранной категории и диапазона номеров.
      Parameters:
        `categoryId` - код категории
        `date` - дата, на которую свободен номер
        `numberFrom` - начало диапазона номеров
        `numberTo` - окончание диапазона номеров
        `ldate` - дата последнего использования ресурса
      Returns:
        список номеров

    - #### syncResourceUse

          public void syncResourceUse()
                               throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `syncResourceUse` in class `ResourceManager<NumberResource>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### checkResource

          public java.lang.String checkResource(java.lang.String number,
                                                java.sql.Date dateFrom,
                                                java.sql.Date dateTo)